{
    attributes = (
        {
            columnName = "C_STRUCTURE_APPARTENANCE"; 
            externalType = VARCHAR2; 
            name = cStructureAppartenance; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "HAH_ID"; 
            externalType = NUMBER; 
            name = hahId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PER_ID"; 
            externalType = NUMBER; 
            name = perId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "THE_ID"; 
            externalType = NUMBER; 
            name = theId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOHeritageAssociationHoraire"; 
    classProperties = (dCreation, dModification, toPeriode, toStructureAppartenance, toTypeHeritage); 
    externalName = "HAMAC.HERITAGE_ASSO_HORAIRE"; 
    fetchSpecificationDictionary = {}; 
    name = HeritageAssociationHoraire; 
    primaryKeyAttributes = (hahId); 
    relationships = (
        {
            destination = Periode; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = perId; sourceAttribute = perId; }); 
            name = toPeriode; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = cStructure; sourceAttribute = cStructureAppartenance; }
            ); 
            name = toStructureAppartenance; 
        }, 
        {
            destination = TypeHeritage; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = theId; sourceAttribute = theId; }); 
            name = toTypeHeritage; 
        }
    ); 
}
